Skip to main content
GET
/
conversations
/
messages
/
email
/
{id}
Get email by Id
curl --request GET \
  --url https://services.leadconnectorhq.com/conversations/messages/email/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ve9EPM428h8vShlRW1KT",
  "threadId": "ve9EPM428h8vShlRW1KT",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "contactId": "ve9EPM428h8vShlRW1KT",
  "conversationId": "ve9EPM428h8vShlRW1KT",
  "dateAdded": "2024-03-27T18:13:49.000Z",
  "body": "Hi there",
  "direction": "inbound",
  "contentType": "text/plain",
  "from": "<string>",
  "to": [
    "<string>"
  ],
  "altId": "ve9EPM428h8vShlRW1KT",
  "subject": "Order confirm",
  "status": "pending",
  "attachments": [
    "<string>"
  ],
  "provider": "Leadconnector Gmail",
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "replyToMessageId": "<string>",
  "source": "workflow",
  "conversationProviderId": "cI08i1Bls3iTB9bKgF01"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Email object for the id given.

id
string
required
Example:

"ve9EPM428h8vShlRW1KT"

threadId
string
required

Message Id or thread Id

Example:

"ve9EPM428h8vShlRW1KT"

locationId
string
required
Example:

"ve9EPM428h8vShlRW1KT"

contactId
string
required
Example:

"ve9EPM428h8vShlRW1KT"

conversationId
string
required
Example:

"ve9EPM428h8vShlRW1KT"

dateAdded
string
required
Example:

"2024-03-27T18:13:49.000Z"

body
string
required
Example:

"Hi there"

direction
enum<string>
required
Available options:
inbound,
outbound
contentType
string
required
Example:

"text/plain"

from
string
required

Name and Email Id of the sender

to
string[]
required

List of email Ids of the receivers

altId
string

External Id

Example:

"ve9EPM428h8vShlRW1KT"

subject
string
Example:

"Order confirm"

status
enum<string>
Available options:
pending,
scheduled,
sent,
delivered,
read,
undelivered,
connected,
failed,
opened
attachments
string[]

An array of attachment URLs.

provider
string
Example:

"Leadconnector Gmail"

cc
string[]

List of email Ids of the people in the cc field

bcc
string[]

List of email Ids of the people in the bcc field

replyToMessageId
string

In case of reply, email message Id of the reply to email

source
enum<string>

Email source

Available options:
workflow,
bulk_actions,
campaign,
api,
app
conversationProviderId
string

Conversation provider ID

Example:

"cI08i1Bls3iTB9bKgF01"

Last modified on March 4, 2026